-------------------------
-- Enable Databse Mail --
-------------------------

sp_configure 'show advanced options', 1
GO  
RECONFIGURE;  
GO  
sp_configure 'Database Mail XPs', 1
GO  
RECONFIGURE  
GO  

------------------------
-- Create new profile --
------------------------

EXEC msdb.dbo.sysmail_add_profile_sp
@profile_name = 'DBA',
@description = 'Default profile'
GO

----------------------------------------
-- Set the New Profile as the Default --
----------------------------------------

EXEC msdb.dbo.sysmail_add_principalprofile_sp
	@profile_name = 'DBA',
	@principal_name = 'public',
	@is_default = 1
GO

EXEC msdb.dbo.sysmail_add_account_sp
	@account_name = 'Ninja SQL',
	@description = 'Ninja SQL - Gmail',
	@email_address = 'ninjasql@gmail.com',
	@display_name = 'Ninja SQL',
	@replyto_address = 'ninjasql@gmail.com',
	@mailserver_name = 'smtp.gmail.com',
	@username = 'ninjasql@gmail.com',
	@password = '****',
	@port = 587,
	@enable_ssl = true
GO

----------------------------------
-- Added account to the profile --
----------------------------------

EXEC msdb.dbo.sysmail_add_profileaccount_sp
	@profile_name = 'DBA',
	@account_name = 'Ninja SQL',
	@sequence_number = 1
GO

---------------------------------
-- Test e-mail sent from  mail --
---------------------------------

EXEC msdb.dbo.sp_send_dbmail
	@profile_name = 'DBA',  
	@recipients='bidule@domain.com',
	@subject = 'Test e-mail sent from  mail',
	@body = 'This is a test message sent from the newly created account'
GO

-------------------------
-- Create new operator --
-------------------------

EXEC msdb.dbo.sp_add_operator @name=N'Level 1', 
	@enabled=1, 
	@weekday_pager_start_time=90000, 
	@weekday_pager_end_time=180000, 
	@saturday_pager_start_time=90000, 
	@saturday_pager_end_time=180000, 
	@sunday_pager_start_time=90000, 
	@sunday_pager_end_time=180000, 
	@pager_days=0, 
	@email_address=N'sql-level1@domain.com'
GO

-----------------------------------------------------------
-- Enabled Mail Profile & Failsafe Operator on SQL Agent --
-----------------------------------------------------------

EXEC msdb.dbo.sp_set_sqlagent_properties @email_save_in_sent_folder=1, @databasemail_profile=N'DBA'
GO

EXEC master.dbo.sp_MSsetalertinfo @failsafeoperator=N'Level 1', @notificationmethod=1
GO

-----------------------
-- Restart SQL Agent --
-----------------------

-- STOP SQL Server Agent
EXEC xp_servicecontrol N'STOP',N'SQLServerAGENT' 
GO

WAITFOR DELAY '00:00:05'

-- START SQL Server Agent
EXEC xp_servicecontrol N'START',N'SQLServerAGENT' 
GO

WAITFOR DELAY '00:00:05'

-- CHECK SQL Server Agent Status
EXEC xp_servicecontrol N'QUERYSTATE',N'SQLServerAGENT' 
GO

------------------------------------------------------------------
-- !!! Don't forget to create cleanup job for Database Mail !!! --
------------------------------------------------------------------

DECLARE @DeleteBeforeDate DateTime 
SELECT @DeleteBeforeDate = DATEADD(d,-30, GETDATE())
EXEC msdb.dbo.sysmail_delete_mailitems_sp @sent_before = @DeleteBeforeDate
EXEC msdb.dbo.sysmail_delete_log_sp @logged_before = @DeleteBeforeDate